Geo::GoogleEarth::Pluggable::Contrib::Point(3pm)

NAME
Geo::GoogleEarth::Pluggable::Contrib::Point - Geo::GoogleEarth::Pluggable Point Object

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new();
  $document->Point();

DESCRIPTION
Geo::GoogleEarth::Pluggable::Contrib::Point is a Geo::GoogleEarth::Pluggable::Placemark with a few other methods.

USAGE
  my $placemark=$document->Point(name=>"Point Name",
                                 lat=>$lat,
                                 lon=>$lon,
                                 alt=>$alt);

CONSTRUCTOR

  new
  my $placemark=$document->Point(
              name       => "White House",
              lat        => 38.89769,       #signed decimal degrees WGS-84
              lon        => -77.036549,     #signed decimal degrees WGS-84
              alt        => 30,             #meters above ellipsoid WGS-84
            );

METHODS

  subnode

  lat
Sets or returns latitude. The format is signed decimal degrees WGS-84.

  my $lat=$placemark->lat;

  lon
Sets or returns longitude. The format is signed decimal degrees WGS-84.

  my $lon=$placemark->lon;

  alt
Sets or returns altitude. The units are meters above the ellipsoid WGS-84.

  my $alt=$placemark->alt;

Typically, Google Earth "snaps" Placemarks to the surface regardless of how the altitude is set.

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable, XML::LibXML::LazyBuilder, Geo::GoogleEarth::Pluggable::Placemark